UpsertLogEntry
curl --request POST \
--url https://developer.synq.io/api/executions/v1/log-entry \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"logEntry": {
"id": {
"airflowDag": {
"integrationId": "<string>",
"dagId": "<string>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"message": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"annotations": [
{
"name": "<string>",
"values": [
"<string>"
]
}
]
}
}
'import requests
url = "https://developer.synq.io/api/executions/v1/log-entry"
payload = { "logEntry": {
"id": { "airflowDag": {
"integrationId": "<string>",
"dagId": "<string>"
} },
"createdAt": "2023-11-07T05:31:56Z",
"message": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"annotations": [
{
"name": "<string>",
"values": ["<string>"]
}
]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
logEntry: {
id: {airflowDag: {integrationId: '<string>', dagId: '<string>'}},
createdAt: '2023-11-07T05:31:56Z',
message: '<string>',
startedAt: '2023-11-07T05:31:56Z',
finishedAt: '2023-11-07T05:31:56Z',
annotations: [{name: '<string>', values: ['<string>']}]
}
})
};
fetch('https://developer.synq.io/api/executions/v1/log-entry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}synq.entities.executions.v1.EntityExecutionsService
UpsertLogEntry
LogEntry is a log message for the custom entity
POST
/
api
/
executions
/
v1
/
log-entry
UpsertLogEntry
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
Success
The response is of type UpsertLogEntryResponse · object.
⌘I